Discussions of the Parallel Programming book
 help / color / mirror / Atom feed
From: Akira Yokosawa <akiyks@gmail.com>
To: "Paul E. McKenney" <paulmck@kernel.org>
Cc: perfbook@vger.kernel.org, Akira Yokosawa <akiyks@gmail.com>
Subject: [PATCH -perfbook 3/3] runlatex.sh: Detect errors in makeindex log files
Date: Tue, 31 Mar 2026 16:59:45 +0900	[thread overview]
Message-ID: <15ce7736-a8a2-4d21-a425-4de4603f2231@gmail.com> (raw)
In-Reply-To: <7304a7e5-2b6d-4109-9387-01fa4015cbf0@gmail.com>

Messages of "!! Input index error" would have helped in catching
the regression caused by the hyperref change.

Signed-off-by: Akira Yokosawa <akiyks@gmail.com>
---
 utilities/runlatex.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/utilities/runlatex.sh b/utilities/runlatex.sh
index 17d833ad..5346bb3b 100644
--- a/utilities/runlatex.sh
+++ b/utilities/runlatex.sh
@@ -76,6 +76,11 @@ iterate_latex () {
 		echo "----- Warning in makeindex, see .ilg log files. -----"
 		exit 1
 	fi
+	if grep -q '!! Input index error' $basename.ilg $basename-ppl.ilg $basename-api.ilg
+	then
+		echo "----- Error in makeindex, see .ilg log files. -----"
+		exit 1
+	fi
 	makeglossaries $basename > /dev/null 2>&1
 	$LATEX $LATEX_OPT $basename > /dev/null 2>&1 < /dev/null
 	exitcode=$?
-- 
2.43.0



  parent reply	other threads:[~2026-03-31  7:59 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-03-31  7:52 [PATCH -perfbook 1/3] adjustindexformat.pl: Cope with recent hyperref change Akira Yokosawa
2026-03-31  7:57 ` [PATCH -perfbook 2/3] cpu/overview: Tweak index markings Akira Yokosawa
2026-03-31  7:59 ` Akira Yokosawa [this message]
2026-03-31 12:13 ` [PATCH -perfbook 1/3] adjustindexformat.pl: Cope with recent hyperref change Paul E. McKenney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=15ce7736-a8a2-4d21-a425-4de4603f2231@gmail.com \
    --to=akiyks@gmail.com \
    --cc=paulmck@kernel.org \
    --cc=perfbook@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox